Make Fails

Bug #1362821 reported by Sammie S. Taunton on 2014-08-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Gearman
Undecided
Unassigned

Bug Description

I submitted the bug here until I remembered you had a bug tracker here too -> https://bugs.php.net/bug.php?id=67928

Anyways, I'm attempting to use Gearman + Gearman Pecl Extension with PHP 5.6.0 and currently when running the make command it fails. I gave complete example in the link I pasted above with all output from each command; IE: phpize, configure, make

If there is anything I can do to help further test to get this resolved quickly, please let me know.

chjgcn (chjgcn) wrote :

I have tested it, and there is no error. The php is from [testing] , and the php-gearman is from AUR .

Sammie S. Taunton (diemuzi) wrote :

I am not using the Archlinux packages. I compiled my PHP installation from source and I do the same for Gearman and the PECL Gearman Extension.

chjgcn (chjgcn) wrote :

Do you have checked the file
    /usr/local/gearman/include/libgearman-1.0/interface/task.h
? Maybe the file is confused.

Sammie S. Taunton (diemuzi) wrote :

Gearman itself is compiling and working just fine. However the Gearman PECL extension is what is failing to make at the moment.

I just tested my PHP install with a very simple ./configure && make && make install and then tried to compile the PECL extension against PHP 5.6.0 again and the same "make" command continues to fail.

It's clear that something with the PHP 5.6.0 has changed that makes the Gearman PECL installation fail. I've retested also by downgrading back to 5.5.* and the Gearman PECL install works just fine. So that limits the scope of this problem.

chjgcn (chjgcn) wrote :

I will do the test in the arch linux in the virtualbox. But I do not know the environment of your system. Do you install php or gearmand from the official repositories? If not, I will uninstall them before testing.

Sammie S. Taunton (diemuzi) wrote :

I do not use Archlinux packages for major binaries. I rebuild / repackage them myself.

I've include the Gearman and PHP PKGBUILD I created.

https://gist.github.com/diemuzi/43a49c0a0da00f00fe8b

Keep in mind, the only thing that literally changed here was I changed the version of PHP from 5.5.16 to 5.6.0

chjgcn (chjgcn) wrote :

I have tested, and no error occurs. There are some differences between my test and yours:
1. I do not install mpir as you.
2. I download the source packages from their official sites, because I can not download them from pacman.sitegoodies.com .
3. I do not use PKGBUILD files. I use "./configure" , "make" and "make install" , and the "./configure" options are copied from your PKGBUILD files.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers